'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _classMap;

var _chanjetEnvCheck = require('chanjet-env-check');

var _chanjetEnvCheck2 = _interopRequireDefault(_chanjetEnvCheck);

var _Mutants = require('./Mutants');

var _Mutants2 = _interopRequireDefault(_Mutants);

var _MutantsChanjetImpl = require('./MutantsChanjetImpl');

var _MutantsChanjetImpl2 = _interopRequireDefault(_MutantsChanjetImpl);

var _MutantsWeiXinImpl = require('./MutantsWeiXinImpl');

var _MutantsWeiXinImpl2 = _interopRequireDefault(_MutantsWeiXinImpl);

var _MutantsBrowserImpl = require('./MutantsBrowserImpl');

var _MutantsBrowserImpl2 = _interopRequireDefault(_MutantsBrowserImpl);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; } /**
                                                                                                                                                                                                                   * Created by tonyjiang on 16/3/15.
                                                                                                                                                                                                                   */


var classMap = (_classMap = {}, _defineProperty(_classMap, _chanjetEnvCheck2.default.constant.platform.chanjet, _MutantsChanjetImpl2.default), _defineProperty(_classMap, _chanjetEnvCheck2.default.constant.platform.weixin, _MutantsWeiXinImpl2.default), _defineProperty(_classMap, _chanjetEnvCheck2.default.constant.platform.browser, _MutantsBrowserImpl2.default), _classMap);

if (!window.mutants) {
    //如果mutants不存在,则直接实例化

    var instance = new classMap[_chanjetEnvCheck2.default.platform]();
    instance.init();
    window.mutants = instance;
} else if (!(window.mutants instanceof _Mutants2.default)) {
    //如果mutants存在,但不是Mutants的实例 , 则实例化并mixin

    var _instance = new classMap[_chanjetEnvCheck2.default.platform]();
    _instance.init();
    window.mutants = window.mutants = Object.assign(_instance, window.mutants);
}

exports.default = window.mutants;