"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Created by luosong on 16/6/6.
 */

var instance = null;

var NativeConfig = function () {
    _createClass(NativeConfig, null, [{
        key: "parseConfig",
        value: function parseConfig(config) {
            instance = new NativeConfig(config);
        }
    }, {
        key: "instance",
        get: function get() {
            return instance;
        }
    }]);

    function NativeConfig(config) {
        _classCallCheck(this, NativeConfig);

        if (config && config.data) {
            this._orgId = config.data.entId;
            this._userId = config.data.userid;
            this._ext = config.data.ext;
        }

        if (config.data.platformExtension) {
            this._platformExtension = JSON.parse(config.data.platformExtension);

            if (this._platformExtension) {
                this._orgAccount = this._platformExtension.orgAccount;
            }
        }
    }

    /**
     * 返回当前的企业 ID
     * @returns {string | number}
     */


    _createClass(NativeConfig, [{
        key: "orgId",
        get: function get() {
            return this._orgId;
        }

        /**
         * 返回当前企业账号
         * @returns {string}
         */

    }, {
        key: "orgAccount",
        get: function get() {
            return this._orgAccount;
        }

        /**
         * 返回 config 中的 platformExtension
         * @returns {Object}
         */

    }, {
        key: "platformExtension",
        get: function get() {
            return this._platformExtension;
        }

        /**
         * 返回扩展信息
         * @returns {string}
         */

    }, {
        key: "ext",
        get: function get() {
            return this._ext;
        }

        /**
         * 返回当前用户ID
         * @returns {String | number}
         */

    }, {
        key: "userId",
        get: function get() {
            return this._userId;
        }
    }]);

    return NativeConfig;
}();

exports.default = NativeConfig;