/**
 * 在浏览器环境实现的具体预处理类 , 开发时使用.
 * Created by tonyjiang on 16/3/17.
 */
import Mutants from './Mutants'
import AndroidRestore from './AndroidRestore'

class MutantsForBrowser extends Mutants{
    constructor(){
        super();
    }

    _ready(){

        //如果是安卓, 则需要查询restore状态及数据, 查询完成后, 在进行后续处理
        // if(this.env.os == this.env.constant.os.android){
        //     AndroidRestore.ready(this._readyCallback.bind(this));
        // }else{
        this._readyCallback();
        // }
    }

    _readyCallback(){
        this._isReady = true;
        this.emitter.emit(Mutants.EVENT_NAME.READY);
    }

    get isRestore(){
        return AndroidRestore.isRestore;
    }

    get restorePluginData(){
        return AndroidRestore.restorePluginData;
    }
}

export default MutantsForBrowser