'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * 在android环境中,检测本次启动是否是restore重启回来的 , 并且获取plugin的操作结果
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * Created by TonyJiang on 16/4/13.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      */

var _chanjetPluginRestoreStatus = require('chanjet-plugin-restore-status');

var _chanjetPluginRestoreStatus2 = _interopRequireDefault(_chanjetPluginRestoreStatus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var AndroidRestore = function () {
    function AndroidRestore() {
        _classCallCheck(this, AndroidRestore);

        this._isRestore = false;
        this._restorePluginData = {};

        this.plugin = new _chanjetPluginRestoreStatus2.default();
    }

    _createClass(AndroidRestore, [{
        key: 'ready',
        value: function ready(callback) {
            mutants.plugin.restoreStatus.getStatus(this._queryRestoreHandler.bind(this, callback));
        }
    }, {
        key: '_queryRestoreHandler',
        value: function _queryRestoreHandler(callback, rs) {
            var resultCode = rs.resultCode,
                body = rs.body;

            //新版本安卓才会有插件,根据resultCode判断是否调用成功

            if (resultCode == 0) {
                var _body$data = body.data,
                    isFromRestore = _body$data.isFromRestore,
                    restoreList = _body$data.restoreList;


                this._isReady = true;
                this._isRestore = isFromRestore;

                for (var i = 0; i < restoreList.length; i++) {
                    this._restorePluginData[restoreList[i].requestId] = restoreList[i];
                }
            } else {
                this._isReady = true;
                this._isRestore = false;
            }

            callback();
        }
    }, {
        key: 'isRestore',
        get: function get() {
            return this._isRestore;
        }
    }, {
        key: 'restorePluginData',
        get: function get() {
            return this._restorePluginData;
        }
    }]);

    return AndroidRestore;
}();

var instance = new AndroidRestore();

exports.default = instance;